### org.jfree.layouting

# Class InstantiationState

- `java.lang.Object`
- - `org.jfree.layouting.InstantiationState`

Implemented Interfaces:
  Serializable, State

`public class InstantiationState`
`extends java.lang.Object`
`implements State`

Creation-Date: 17.07.2006, 17:44:11

Author:
  Thomas Morgner

  ## Constructor Summary

  `InstantiationState(Class c)`

  ## Method Summary

  `StatefullComponent`

  `restore(LayoutProcess layoutProcess)`
    Creates a restored instance of the saved component.

## Constructor Details

### InstantiationState

    public InstantiationState(Class c)

## Method Details

### restore

    public StatefullComponent restore(LayoutProcess layoutProcess)
                throws StateException

> Creates a restored instance of the saved component.

> By using this factory-like approach, we gain independence from having to know the actual implementation. This makes things a lot easier.
> Specified by:
>   restore in interface State
> Parameters:
>   `layoutProcess` - the layout process that controls it all
> Returns:
>   the saved state
> Throws:
>   `StateException` -